summaryrefslogtreecommitdiff
path: root/support-files/mysql.spec.sh
diff options
context:
space:
mode:
authorJonathan Perkin <jonathan.perkin@oracle.com>2010-04-13 22:55:14 +0200
committerJonathan Perkin <jonathan.perkin@oracle.com>2010-04-13 22:55:14 +0200
commitea1da65e259eb1585195d749ca7462d51b74d3dd (patch)
tree6a18978fc2c639acc10897a7ef62760b2903896f /support-files/mysql.spec.sh
parent45d63b65e005848b6c1d7f77dae52fbfca9cf78a (diff)
downloadmariadb-git-ea1da65e259eb1585195d749ca7462d51b74d3dd.tar.gz
Debug and fix.
Diffstat (limited to 'support-files/mysql.spec.sh')
-rw-r--r--support-files/mysql.spec.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/support-files/mysql.spec.sh b/support-files/mysql.spec.sh
index d2e32f92a3d..1379a69ff4c 100644
--- a/support-files/mysql.spec.sh
+++ b/support-files/mysql.spec.sh
@@ -45,7 +45,7 @@
%define undefined() %{expand:%%{?%{1}:0}%%{!?%{1}:1}}
%endif
-%define fileexists() %([ -e "%{1}" ] && echo 1 || echo 0)
+%define fileexists() %(set -x; [ -e "%{1}" ] && echo 1 || echo 0)
# ----------------------------------------------------------------------------
# RPM build tools now automatically detect Perl module dependencies. This
@@ -420,7 +420,7 @@ RBR=$RPM_BUILD_ROOT
# For gcc builds, include libgcc.a in the devel subpackage (BUG 4921). This
# needs to be during build phase as $CC is not set during install.
-if "$CC" -v | grep '^gcc.version' >/dev/null 2>&1
+if "$CC" -v 2>&1 | grep '^gcc.version' >/dev/null 2>&1
then
libgcc=`$CC $CFLAGS --print-libgcc-file`
if [ -f $libgcc ]